import React from 'react';
import Svg,{ G, Path,Ellipse,Circle} from 'react-native-svg';

export default class OtherPasswordIcon extends React.Component {
    render() {
        return (
            <Svg height="20" width="20" viewBox="0 0 494.08 494.08">
                <G>
                    <G>
                        <Path d="M362.841,168.176H131.24c-51.593,0-93.568,41.968-93.568,93.552v138.8c0,51.585,41.975,93.552,93.568,93.552h231.6    c51.593,0,93.568-41.967,93.568-93.551V261.728C456.408,210.143,414.434,168.176,362.841,168.176z M424.408,400.529    c0,33.94-27.619,61.552-61.567,61.552H131.24c-33.949,0-61.568-27.613-61.568-61.552V261.728c0-33.94,27.619-61.552,61.568-61.552    h231.601c33.948,0,61.567,27.612,61.567,61.552V400.529z" fill="#b7c4cb"/>
                    </G>
                </G>
                <G>
                    <G>
                        <Path d="M386.13,96.931C364.831,38.954,309.053,0,247.336,0C165.852,0,99.56,65.739,99.56,146.544v37.648c0,8.836,7.164,16,16,16    c8.837,0,16-7.164,16-16v-37.648C131.56,83.384,183.497,32,247.336,32c48.359,0,92.065,30.528,108.757,75.966    c3.048,8.294,12.24,12.548,20.536,9.501C384.923,114.42,389.177,105.225,386.13,96.931z" fill="#b7c4cb"/>
                    </G>
                </G>
                <G>
                    <G>
                        <Path d="M249.608,258.832c-25.894,0-46.96,21.066-46.96,46.96s21.066,46.96,46.96,46.96c25.894,0,46.96-21.066,46.96-46.96    S275.502,258.832,249.608,258.832z M249.608,320.752c-8.249,0-14.96-6.711-14.96-14.96c0-8.249,6.711-14.96,14.96-14.96    c8.249,0,14.96,6.711,14.96,14.96C264.568,314.041,257.857,320.752,249.608,320.752z" fill="#b7c4cb"/>
                    </G>
                </G>
                <G>
                    <G>
                        <Path d="M249.608,323.664c-8.836,0-16,7.163-16,16v61.872c0,8.837,7.164,16,16,16c8.837,0,16-7.163,16-16v-61.872    C265.608,330.827,258.445,323.664,249.608,323.664z" fill="#b7c4cb"/>
                    </G>
                </G>
            </Svg>
        );
    }
}